> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bevor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# list projects

> list all projects with search params. Returns a paginated response.



## OpenAPI

````yaml /api-reference/openapi.json get /projects
openapi: 3.0.0
info:
  title: BevorAI API
  version: 1.0.0
servers: []
security: []
tags:
  - name: project
    description: Managing projects, which are used to group code versions
  - name: code
    description: >-
      Used for retrieving or creating smart contract references. Required for
      creating analyses.
  - name: analysis
    description: Managing security analyses
  - name: chat
    description: Chat functionality for interacting with audit results
paths:
  /projects:
    get:
      tags:
        - project
      summary: list projects
      description: list all projects with search params. Returns a paginated response.
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            nullable: true
            default: 0
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            nullable: true
            default: 20
        - name: order_by
          in: query
          required: false
          schema:
            type: string
            enum:
              - created_at
              - updated_at
            nullable: true
            default: created_at
        - name: order
          in: query
          required: false
          schema:
            type: string
            enum:
              - desc
              - asc
            nullable: true
            default: desc
        - name: name
          in: query
          required: false
          schema:
            type: string
            nullable: true
        - name: tag
          in: query
          required: false
          schema:
            type: string
            nullable: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                properties:
                  results:
                    items:
                      $ref: '#/components/schemas/ProjectIndex'
                    title: Results
                    type: array
                  page:
                    title: Page
                    type: integer
                  page_size:
                    title: Page Size
                    type: integer
                  more:
                    title: More
                    type: boolean
                  total_pages:
                    title: Total Pages
                    type: integer
                required:
                  - page
                  - page_size
                  - more
                  - total_pages
                title: Pagination[ProjectIndex]
                type: object
        '400':
          description: Error Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      security:
        - BearerAuth: []
components:
  schemas:
    ProjectIndex:
      properties:
        id:
          title: Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        name:
          title: Name
          type: string
        slug:
          title: Slug
          type: string
        description:
          type: string
        tags:
          items:
            type: string
          title: Tags
          type: array
        team_id:
          title: Team Id
          type: string
        created_by_user_id:
          title: Created By User Id
          type: string
        is_default:
          title: Is Default
          type: boolean
        github_repo_id:
          type: string
        n_codes:
          title: N Codes
          type: integer
        n_analyses:
          title: N Analyses
          type: integer
        team:
          type: string
        created_by_user:
          type: string
        github_repo:
          type: string
        'n':
          title: 'N'
          type: integer
      required:
        - id
        - created_at
        - name
        - slug
        - team_id
        - created_by_user_id
        - is_default
        - n_codes
        - n_analyses
        - team
        - created_by_user
        - 'n'
      title: ProjectIndex
      type: object
    ApiError:
      properties:
        code:
          enum:
            - auth.session_expired
            - auth.session_revoked
            - auth.session_invalid
            - auth.user_does_not_exist
            - auth.invalid_team_membership
            - auth.unauthorized
            - auth.key_revoked
            - auth.key_invalid
            - auth.payment_required
            - error.not_found
            - error.validation
            - error.server
            - error.invalid_scope
            - error.limit
            - error.entity_deletedcompiler.error
            - compiler.validation_error
            - compiler.authorization_error
            - compiler.not_found_error
            - compiler.invalid_version_error
            - compiler.old_version_error
            - explorer.contract_not_verified_error
            - explorer.contract_not_found_error
            - explorer.contract_fetch_error
            - compiler.internal_error
            - compiler.binary_error
            - compiler.compiler_error
            - ast.invalid_node
            - ast.invalid_reference
          title: Code
          type: string
        message:
          title: Message
          type: string
      required:
        - code
        - message
      title: ApiError
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key in Bearer token format

````